import { request, getRequestParameter } from '@/utils/request';

/**
 * 教师得到自己一天的课次
 * @param {Object} { date_stamp } 格式化后的时间 yyy-mm-dd
 */
export function getMyCsItemsDateTeacher(Parameter) {
  let requestParameter = getRequestParameter('teaching-cs_item_manager-GetMyCSItems_Date_Teacher');
  let params = {
    Parameter
  };
  params = Object.assign(params, requestParameter);

  return request({
    method: 'post',
    params
  });
}

/**
 * 得到课次详情（信息集合）
 * @param {Object} Parameter {id}
 */
export function GetCSItemInfoBox(Parameter) {
  let requestParameter = getRequestParameter('teaching-cs_item_manager-GetCSItemInfoBox');
  let params = {
    Parameter
  };
  params = Object.assign(params, requestParameter);

  return request({
    method: 'post',
    params
  });
}
